"use strict";
exports.__esModule = true;
exports.alias = void 0;
var cosmiconfig_1 = require("cosmiconfig");
var toJestConfig_1 = require("./converters/toJestConfig");
var toRollup_1 = require("./converters/toRollup");
var toWebpackConfig_1 = require("./converters/toWebpackConfig");
var explorer = cosmiconfig_1.cosmiconfigSync('alias');
var result = explorer.search();
if (!result) {
    throw new Error("Failed to configure path alias: configuration not found.");
}
exports.alias = {
    jest: toJestConfig_1.toJestConfig(result.config),
    webpack: toWebpackConfig_1.toWebpackConfig(result.config),
    rollup: toRollup_1.toRollup(result.config)
};
